*"表題 球面調和関数の領域 GTOOL3(GPAINC)
*
*"履歴 91/01/17 沼口  敦
*
*
**********************************************************************
*"      << 球面調和関数の領域 >>
**********************************************************************
      INTEGER MMAXC, LMAXC, NMAXC, MINTC, NMLC, NMDIMC
      PARAMETER
     & ( MMAXC = IDIM/3,
     &   LMAXC = MMAXC,
     &   NMAXC = MMAXC,
     &   MINTC = 1,
     &   NMLC  = NMAXC-LMAXC,
     &   NMDIMC= (MMAXC/MINTC+1)*(2*(NMAXC+1)-LMAXC)-NMLC*(NMLC+1) )
*
      COMMON /GPAWK1/ WDATA
      COMMON /GPAWK2/ ZDATA
      COMMON /GPAWK3/ ZWORK
      COMMON /GPAWK4/ PNM
      COMMON /GPAWK5/ DPNM
      COMMON /GPAWK6/ TRIGS
      COMMON /GPAWK7/ IFAX
      COMMON /GPAWK8/ NMO
      COMMON /GPAWK9/ GW
      COMMON /GPAWKA/ COSLAT
      COMMON /GPAWKB/ QPNM
      COMMON /GPAWKC/ QDPNM
      COMMON /GPAWKD/ QGW
      COMMON /GPAWKE/ QSINLA
*
      REAL       WDATA ( NMDIMC*KDIM    )    !" スペクトルデータ
      REAL       ZDATA ( IDIM*JDIM*KDIM )    !" 東西スペクトル
      REAL       ZWORK ( IDIM*JDIM*KDIM )    !" ワーク
*
      REAL       PNM   ( JDIM*NMDIMC/2 )     !" Ｐnm ルジャンドル
      REAL       DPNM  ( JDIM*NMDIMC/2 )     !" Ｐnm μ微分
      REAL       TRIGS ( 2*IDIM )            !" 三角関数表
      INTEGER    IFAX  ( 10 )                !" IMAX の因数分解
*
      INTEGER    NMO   ( 2*(MMAXC+1)*(LMAXC+1) ) !" 添字順番
      REAL       GW    ( JDIM )              !" ガウス荷重
      REAL       COSLAT( JDIM )              !" cos(緯度)
*
      REAL*8     QPNM  ( (NMAXC+2)*(MMAXC+1) ) !" Ｐnm ルジャンド
      REAL*8     QDPNM ( (NMAXC+2)*(MMAXC+1) ) !" Ｐnm μ微分
      REAL*8     QGW   ( JDIM )              !" ガウス荷重 ：倍精度
      REAL*8     QSINLA( JDIM )              !" sin(緯度) (倍精度
*
      REAL       ER                          !" 地球半径
      DATA       ER / 6370.E3 /
*
